Confirm user KYC documents
Header Parameters
The matchmove issued user_id for which the request is being made
The IP using which the actor is making the request
The unique id of the device using which the actor is making the request
The user agent of the device using which the actor is making the request
The actor on behalf of whom the API request is being performed
Path Parameters
Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.
Response
OK
Response Attributes
Unique identifier for the verification process
Status of the Identity authentication process
not_submittedpendingsubmittedunder_reviewapprovedrejectedRepresents the description of the specific sub_status_code
Fetched from enum list GET v2/users/enumerations/document_substatuses
Array that represents a list of documents submitted during the most recent KYC verification process. If the status is not_submitted, no document list will be provided.
Show child attributes
Count of documents submitted
Additional metadata for the KYC authentication process
Bad Request
The response code field indicates which specific rule was violated.
Possible error codes:
invalid_payload— Malformed form/JSON request bodyinvalid_model— Missing required fields in the requestresource_user_authentication_document_verification_id_invalid—verification_iddoes not match the existing verification recordresource_provider_authentication_document_not_allowed— The verification's attached provider is notdocument_uploadresource_user_inactive— The user is currently inactive/blocked
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Unauthorized
The response code field indicates the authentication failure.
Possible error codes:
access_denied— Access is denied for this resource
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Forbidden
The response code field indicates which specific rule was violated.
Possible error codes:
unauthorized_action— The consumer scope is not allowed to access this resourcerestricted_resource— This V1 route is blocked for the current program_coderesource_user_authentication_document_not_allowed— Submission is not allowed for the current document state application/json: schema: $ref: ./models/error.v2.yaml example: id: 978c2497-fac0-4dfe-9f3c-a39066986740 status: 403 code: resource_user_authentication_document_not_allowed title: "Current status has prevented this request to resolve." detail: "Current status has prevented this request to resolve" description: "Current status has prevented this request to resolve" source: null link: "" timestamp: "2026-02-15 14:56:22.385519 +0000 UTC"
Not Found
The response code field indicates which specific rule was violated.
Possible error codes:
route_not_defined— The route has no auth definitionuser_record_not_found— The useridwas not provided, or no user exists for the suppliedidmodel_not_found— No images could be resolved for the verification during response transformation
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Internal Server Error
The response code field indicates which specific rule was violated.
Possible error codes:
request_fatal_internal— Fatal service error
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Implemented
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Bad Gateway
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Service Unavailable
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Gateway Timeout
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API